Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class GenerateData

    java.lang.Object
      org.mindswap.pellet.utils.GenerateData

    public class GenerateData

extends java.lang.Object

Author:
  Evren Sirin

Field Summary
`static int` | `NTRIPLE`
`static int` | `RDFXML`

Constructor Summary
`GenerateData(KnowledgeBase kb, java.io.PrintWriter out)`

Method Summary
`void` | `generate(aterm.ATermAppl c)`
`void` | `generate(int size)`
`void` | `generateForEachClass(int maxIndPerClass)`
`static void` | `main(java.lang.String[] args)`
`void` | `printTriple(java.lang.String subj, java.lang.String pred, java.lang.String obj, java.lang.String datatypeURI)`
`static void` | `usage()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RDFXML

    public static final int RDFXML

See Also:
  Constant Field Values

### NTRIPLE

    public static final int NTRIPLE

See Also:
  Constant Field Values

Constructor Detail

### GenerateData

    public GenerateData(KnowledgeBase kb,
                        java.io.PrintWriter out)

Method Detail

### printTriple

    public void printTriple(java.lang.String subj,
                            java.lang.String pred,
                            java.lang.String obj,
                            java.lang.String datatypeURI)

### generate

    public void generate(aterm.ATermAppl c)

### generate

    public void generate(int size)

### generateForEachClass

    public void generateForEachClass(int maxIndPerClass)

### usage

    public static void usage()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.